Bug 183894 - Emacs crash on startup
Emacs crash on startup
Status: CLOSED DUPLICATE of bug 183895
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-03 09:33 EST by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-07 21:31:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2006-03-03 09:33:07 EST
Clean rawhide-20060302 install, emacs-21.4-13

[dwmw2@pmac ~]$  emacs
*** glibc detected *** emacs: free(): invalid pointer: 0x01aea508 ***
======= Backtrace: =========
/lib/libc.so.6[0x10cb824]
/lib/libc.so.6(__libc_free+0xc8)[0x10cecc8]
emacs[0x18a8668]
/lib/libc.so.6[0x106a640]
/lib/libc.so.6(__libc_start_main+0x144)[0x106a864]
======= Memory map: ========
00100000-00103000 r-xp 00100000 00:00 0
00f88000-00f8b000 r-xp 00000000 08:05 3818899                           
/lib/libdl-2.3.91.so
00f8b000-00f9a000 ---p 00003000 08:05 3818899                           
/lib/libdl-2.3.91.so
00f9a000-00f9b000 r--p 00002000 08:05 3818899                           
/lib/libdl-2.3.91.so
00f9b000-00f9c000 rw-p 00003000 08:05 3818899                           
/lib/libdl-2.3.91.so
00fac000-00fb3000 r-xp 00000000 08:05 1244368                           
/usr/lib/libXdmcp.so.6.0.0
00fb3000-00fc2000 ---p 00007000 08:05 1244368                           
/usr/lib/libXdmcp.so.6.0.0
00fc2000-00fc3000 rw-p 00006000 08:05 1244368                           
/usr/lib/libXdmcp.so.6.0.0
00fd3000-00fd7000 r-xp 00000000 08:05 1243809                           
/usr/lib/libXau.so.6.0.0
00fd7000-00fe6000 ---p 00004000 08:05 1243809                           
/usr/lib/libXau.so.6.0.0
00fe6000-00fe7000 rw-p 00003000 08:05 1243809                           
/usr/lib/libXau.so.6.0.0
00ff7000-01002000 r-xp 00000000 08:05 1245454                           
/usr/lib/libXp.so.6.2.0
01002000-01011000 ---p 0000b000 08:05 1245454                           
/usr/lib/libXp.so.6.2.0
01011000-01012000 rw-p 0000a000 08:05 1245454                           
/usr/lib/libXp.so.6.2.0
01022000-0102d000 r-xp 00000000 08:05 1245460                           
/usr/lib/libgif.so.4.1.3
0102d000-0103c000 ---p 0000b000 08:05 1245460                           
/usr/lib/libgif.so.4.1.3
0103c000-0103d000 rw-p 0000a000 08:05 1245460                           
/usr/lib/libgif.so.4.1.3
0104d000-011a8000 r-xp 00000000 08:05 3818893                           
/lib/libc-2.3.91.so
011a8000-011b7000 ---p 0015b000 08:05 3818893                           
/lib/libc-2.3.91.so
011b7000-011bb000 r--p 0015a000 08:05 3818893                           
/lib/libc-2.3.91.so
011bb000-011bc000 rw-p 0015e000 08:05 3818893                           
/lib/libc-2.3.91.so
011bc000-011bf000 rw-p 011bc000 00:00 0
011cf000-0121d000 r-xp 00000000 08:05 1243913                           
/usr/lib/libncurses.so.5.5
0121d000-0122d000 ---p 0004e000 08:05 1243913                           
/usr/lib/libncurses.so.5.5
0122d000-01236000 rw-p 0004e000 08:05 1243913                           
/usr/lib/libncurses.so.5.5
01246000-0136b000 r-xp 00000000 08:05 1244370                           
/usr/lib/libX11.so.6.2.0
0136b000-0137a000 ---p 00125000 08:05 1244370                           
/usr/lib/libX11.so.6.2.0
0137a000-01380000 rw-p 00124000 08:05 1244370                           
/usr/lib/libX11.so.6.2.0
01390000-013a2000 r-xp 00000000 08:05 1244404                           
/usr/lib/libXpm.so.4.11.0
013a2000-013b2000 ---p 00012000 08:05 1244404                           
/usr/lib/libXpm.so.4.11.0
013b2000-013b3000 rw-p 00012000 08:05 1244404                           
/usr/lib/libXpm.so.4.11.0
013c3000-013c5000 r-xp 00000000 08:05 1245462                           
/usr/lib/libungif.so.4.1.3
013c5000-013d4000 ---p 00002000 08:05 1245462                           
/usr/lib/libungif.so.4.1.3
013d4000-013d5000 rw-p 00001000 08:05 1245462                           
/usr/lib/libungif.so.4.1.3
013e5000-014a1000 r-xp 00000000 08:05 3818901                           
/lib/libm-2.3.91.so
014a1000-014b0000 ---p 000bc000 08:05 3818901                           
/lib/libm-2.3.91.so
014b0000-014b6000 r--p 000bb000 08:05 3818901                           
/lib/libm-2.3.91.so
014b6000-014b7000 rw-p 000c1000 08:05 3818901                           
/lib/libm-2.3.91.so
014c7000-014dc000 r-xp 00000000 08:05 1243544                           
/usr/lib/libz.so.1.2.3
014dc000-014eb000 ---p 00015000 08:05 1243544                           
/usr/lib/libz.so.1.2.3
014eb000-014ec000 rw-p 00014000 08:05 1243544                           
/usr/lib/libz.so.1.2.3
014fc000-01528000 r-xp 00000000 08:05 1243803                           
/usr/lib/libpng12.so.0.1.2.8
01528000-01537000 ---p 0002c000 08:05 1243803                           
/usr/lib/libpng12.so.0.1.2.8
01537000-01539000 rw-p 0002b000 08:05 1243803                           
/usr/lib/libpng12.so.0.1.2.8
01549000-01571000 r-xp 00000000 08:05 1243793                           
/usr/lib/libjpeg.so.62.0.0
01571000-01581000 ---p 00028000 08:05 1243793                           
/usr/lib/libjpeg.so.62.0.0
01581000-01582000 rw-p 00028000 08:05 1243793                           
/usr/lib/libjpeg.so.62.0.0
01592000-015f2000 r-xp 00000000 08:05 1245704                           
/usr/lib/libtiff.so.3.7.4
015f2000-015f5000 rw-p 00060000 08:05 1245704                           
/usr/lib/libtiff.so.3.7.4
01605000-0161b000 r-xp 00000000 08:05 1244372                           
/usr/lib/libXext.so.6.4.0
0161b000-0162b000 ---p 00016000 08:05 1244372                           
/usr/lib/libXext.so.6.4.0
0162b000-0162c000 rw-p 00016000 08:05 1244372                           
/usr/lib/libXext.so.6.4.0
0163c000-01657000 r-xp 00000000 08:05 1243695                           
/usr/lib/libICE.so.6.3.0
01657000-01666000 ---p 0001b000 08:05 1243695                           
/usr/lib/libICE.so.6.3.0
01666000-01667000 rw-p 0001a000 08:05 1243695                           
/usr/lib/libICE.so.6.3.0
01667000-01669000 rw-p 01667000 00:00 0
01679000-01683000 r-xp 00000000 08:05 1243697                           
/usr/lib/libSM.so.6.0.0
01683000-01693000 ---p 0000a000 08:05 1243697                           
/usr/lib/libSM.so.6.0.0
01693000-01694000 rw-p 0000a000 08:05 1243697                           
/usr/lib/libSM.so.6.0.0
016a4000-0170e000 r-xp 00000000 08:05 1244376                           
/usr/lib/libXt.so.6.0.0
0170e000-0171d000 ---p 0006a000 08:05 1244376                           
/usr/lib/libXt.so.6.0.0
0171d000-01722000 rw-p 00069000 08:05 1244376                           
/usr/lib/libXt.so.6.0.0
01732000-0174e000 r-xp 00000000 08:05 1244382                           
/usr/lib/libXmu.so.6.2.0
0174e000-0175d000 ---p 0001c000 08:05 1244382                           
/usr/lib/libXmu.so.6.2.0
0175d000-0175e000 rw-p 0001b000 08:05 1244382                           
/usr/lib/libXmu.so.6.2.0
0175e000-0175f000 rw-p 0175e000 00:00 0
0176f000-017c8000 r-xp 00000000 08:05 1264583                           
/usr/lib/libXaw3d.so.7.0
017c8000-017d8000 ---p 00059000 08:05 1264583                           
/usr/lib/libXaw3d.so.7.0
017d8000-017de000 rw-p 00059000 08:05 1264583                           
/usr/lib/libXaw3d.so.7.0
017de000-017f0000 rw-p 017de000 00:00 0
01800000-0199c000 r-xp 00000000 08:05 1264588                           
/usr/bin/emacs-x
019ac000-01c7a000 rw-p 0019c000 08:05 1264588                           
/usr/bin/emacs-x
f7fb7000-f7fbc000 rw-p f7fb7000 00:00 0
f7fd0000-f7fed000 r-xp 00000000 08:05 3818886                           
/lib/ld-2.3.91.so
f7ffc000-f7ffd000 rw-p f7ffc000 00:00 0
f7ffd000-f7ffe000 r--p 0001d000 08:05 3818886                           
/lib/ld-2.3.91.so
f7ffe000-f7fff000 rw-p 0001e000 08:05 3818886                           
/lib/ld-2.3.91.so
ffc2f000-ffc44000 rw-p ffc2f000 00:00 0                                 
[stack]Aborted
Comment 1 David Woodhouse 2006-03-03 10:01:19 EST
The above failure was with glibc-2.3.91-1. If I revert to glibc-2.3.90-38 it
works OK. Reassigning to glibc, since it also happened to thunderbird.

Probably the same root cause as bug #183895
Comment 2 Ulrich Drepper 2006-05-07 21:31:23 EDT

*** This bug has been marked as a duplicate of 183895 ***

Note You need to log in before you can comment on or make changes to this bug.